Name:		gssproxy
Version:	0.8.4
Release:	%mkrel 1
Summary:	GSSAPI Proxy

Group:		System/Servers
License:	MIT
URL:		https://github.com/gssapi/gssproxy
Source0:	https://github.com/gssapi/gssproxy/releases/download/v0.8.3/%{name}-%{version}.tar.gz

%global servicename gssproxy
%global pubconfpath %{_sysconfdir}/gssproxy
%global gpstatedir %{_localstatedir}/lib/gssproxy

### Dependencies ###
Requires: krb5-libs >= 1.12.0
Requires: libverto-module-base
Requires(post): systemd-units
Requires(preun): systemd-units
Requires(postun): systemd-units

### Build Dependencies ###
#BuildRequires: libxslt
#BuildRequires: libxml2
BuildRequires: docbook-style-xsl
BuildRequires: doxygen
BuildRequires: gettext-devel
BuildRequires: pkgconfig(krb5) >= 1.12.0
BuildRequires: pkgconfig(ini_config) >= 1.0.0.1
BuildRequires: pkgconfig(ref_array)
BuildRequires: pkgconfig(libverto)
BuildRequires: keyutils-devel
BuildRequires: pkgconfig(popt)
BuildRequires: findutils
BuildRequires: pkgconfig(systemd)
BuildRequires: xsltproc
BuildRequires: git-core

%description
A proxy for GSSAPI credential handling

%prep
%autosetup -p1

%build
%configure \
    --with-pubconf-path=%{pubconfpath} \
    --with-initscript=systemd \
    --disable-static \
    --disable-rpath \
    --with-gpp-default-behavior=REMOTE_FIRST \
    --without-selinux \
    --with-pid-file=%{_rundir}/%{name}.pid

%make_build
make test_proxymech

%install
%make_install

rm -f %{buildroot}%{_libdir}/gssproxy/proxymech.la
install -d -m755 %{buildroot}%{_sysconfdir}/gssproxy
install -m644 examples/gssproxy.conf %{buildroot}%{_sysconfdir}/gssproxy/gssproxy.conf
install -m644 examples/99-nfs-client.conf %{buildroot}%{_sysconfdir}/gssproxy/99-nfs-client.conf
mkdir -p %{buildroot}%{_sysconfdir}/gss/mech.d
install -m644 examples/mech %{buildroot}%{_sysconfdir}/gss/mech.d/gssproxy.conf
mkdir -p %{buildroot}%{gpstatedir}/rcache

%files
%license COPYING
%{_unitdir}/gssproxy.service
%{_sbindir}/gssproxy
%attr(755,root,root) %dir %{pubconfpath}
%attr(755,root,root) %dir %{gpstatedir}
%attr(700,root,root) %dir %{gpstatedir}/clients
%attr(700,root,root) %dir %{gpstatedir}/rcache
%attr(0600,root,root) %config(noreplace) /%{_sysconfdir}/gssproxy/gssproxy.conf
%attr(0600,root,root) %config(noreplace) /%{_sysconfdir}/gssproxy/99-nfs-client.conf
%attr(0644,root,root) %config(noreplace) /%{_sysconfdir}/gss/mech.d/gssproxy.conf
%dir %{_libdir}/gssproxy
%{_libdir}/gssproxy/proxymech.so
%{_mandir}/man5/gssproxy.conf.5*
%{_mandir}/man8/gssproxy.8*
%{_mandir}/man8/gssproxy-mech.8*

%post
%systemd_post gssproxy.service

%preun
%systemd_preun gssproxy.service

%postun
%systemd_postun_with_restart gssproxy.service


%changelog
* Sat Jan 16 2021 guillomovitch <guillomovitch> 0.8.4-1.mga8
+ Revision: 1671989
- new version 0.8.4

* Sun Apr 19 2020 guillomovitch <guillomovitch> 0.8.3-1.mga8
+ Revision: 1569821
- new version 0.8.3

* Sat Feb 15 2020 umeabot <umeabot> 0.8.2-3.mga8
+ Revision: 1526289
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue May 14 2019 kekepower <kekepower> 0.8.2-2.mga7
+ Revision: 1397669
- Fix /var/run to /run to please systemd

* Sat Apr 20 2019 guillomovitch <guillomovitch> 0.8.2-1.mga7
+ Revision: 1394045
- new version 0.8.2

* Sun Sep 23 2018 umeabot <umeabot> 0.8.0-4.mga7
+ Revision: 1298096
- Mageia 7 Mass Rebuild

* Thu Mar 15 2018 wally <wally> 0.8.0-3.mga7
+ Revision: 1209684
- require libverto-module-base instead

* Thu Mar 15 2018 wally <wally> 0.8.0-2.mga7
+ Revision: 1209677
- drop libverto-tevent req

* Wed Mar 14 2018 guillomovitch <guillomovitch> 0.8.0-1.mga7
+ Revision: 1209549
- new version 0.8.0

* Sun Jan 28 2018 wally <wally> 0.7.0-2.mga7
+ Revision: 1197570
- sync patches (and also .spec a bit) with Fedora

* Sun May 07 2017 guillomovitch <guillomovitch> 0.7.0-1.mga6
+ Revision: 1099525
- new version 0.7.0

* Sun Feb 19 2017 guillomovitch <guillomovitch> 0.6.2-1.mga6
+ Revision: 1086942
- new version 0.6.2

* Sat Jan 28 2017 guillomovitch <guillomovitch> 0.6.1-1.mga6
+ Revision: 1083763
- ship default service configuration files (fix #20064)
- new version 0.6.1

* Sun Jan 01 2017 guillomovitch <guillomovitch> 0.5.1-1.mga6
+ Revision: 1079482
- new version 0.5.1

* Sun Mar 20 2016 guillomovitch <guillomovitch> 0.4.1-2.mga6
+ Revision: 993248
- fix dependencies

* Sun Feb 21 2016 guillomovitch <guillomovitch> 0.4.1-1.mga6
+ Revision: 975414
- imported package gssproxy

